---
title: ':out-of-range'
slug: 'Web/CSS/:out-of-range'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Selectors
  - UI Selector
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:out-of-range</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/CSS/Pseudo-classes" title="Pseudo-classes">pseudo-class</a> represents an {{htmlelement("input")}} element whose current value is outside the range limits specified by the {{htmlattrxref("min", "input")}} and {{htmlattrxref("max","input")}} attributes.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any &lt;input&gt;, but only when it has a range
   specified, and its value is outside that range */
input:out-of-range {
  background-color: rgba(255, 0, 0, 0.25);
}</pre>

<p>This pseudo-class is useful for giving the user a visual indication that a field's current value is outside the permitted limits.</p>

<div class="note"><strong>Note:</strong> This pseudo-class only applies to elements that have (and can take) a range limitation. In the absence of such a limitation, the element can neither be "in-range" nor "out-of-range."</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<div id="example">
<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;form action="" id="form1"&gt;
 &lt;p&gt;Values between 1 and 10 are valid.&lt;/p&gt;
  &lt;ul&gt;
    &lt;li&gt;
      &lt;input id="value1" name="value1" type="number" placeholder="1 to 10" min="1" max="10" value="12"&gt;
      &lt;label for="value1"&gt;Your value is &lt;/label&gt;
    &lt;/li&gt;
  &lt;/ul&gt;
&lt;/form&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css; notranslate">li {
  list-style: none;
  margin-bottom: 1em;
}

input {
  border: 1px solid black;
}

input:in-range {
  background-color: rgba(0, 255, 0, 0.25);
}

input:out-of-range {
  background-color: rgba(255, 0, 0, 0.25);
  border: 2px solid red;
}

input:in-range + label::after {
  content: 'okay.';
}

input:out-of-range + label::after {
  content: 'out of range!';
}</pre>

<h3 id="Result">Result</h3>
</div>

<div>{{EmbedLiveSample('Examples', 600, 140)}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'scripting.html#selector-out-of-range', ':out-of-range')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Defines when <code>:out-of-range</code> matches elements in HTML.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#out-of-range-pseudo', ':out-of-range')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.out-of-range")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref(":in-range")}}</li>
 <li><a href="/en-US/docs/Learn/HTML/Forms/Form_validation">Form data validation</a></li>
</ul>
